For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
        • GETGet all unit types
        • GETGet unit type by ID
        • PUTUpdate Unit: Entrata - Not Supported
        • POSTCreate Unit: Entrata
        • POSTCreate Unit file: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataUnits

Update Unit: Entrata - Not Supported

PUT
/v1/units/entrata/:id
PUT
/v1/units/entrata/:id
$curl -X PUT https://api.propexo.com/v1/units/entrata/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Entrata does not support updating a unit via their API. This endpoint will always return a 405, with an error message specifying that updating a unit in an Entrata integration is not supported due to the lack of upstream support.
Was this page helpful?
Previous

Create Unit: Entrata

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Request

This endpoint expects an object.

Response

Successful response

Errors

400
Bad Request Error